#include<iostream>
using namespace std;
main(){
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);		
	
	long long N,L;
	cin>>N>>L;
	long long H[N];
	for(long long i=0;i<N;i++){
		cin>>H[i];
	}
	long long k=1;
	for(long long i=0;i<N;i++){
		if(H[i]<=L){
			break;
		}
		k++;
	}
	if(k-1==N){
		k=-1;
	}
	cout<<k;
	return 0;
}